Returns a paginated list of admin action requests for the specified organization.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/adminActions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"actionType": "settings_change",
"displayName": "<string>",
"category": "<string>",
"actionPayload": {},
"requiredApprovals": 123,
"currentApprovals": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"responses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"createdAt": "2023-11-07T05:31:56Z",
"reviewer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"note": "<string>"
}
],
"targetEntityType": "<string>",
"targetEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previousState": {},
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"pendingCount": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of organization
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
The lifecycle status of an admin action request.
pending, approved, denied, expired, auto_approved The type of admin action. Determines how the action payload is interpreted and executed.
settings_change, reset_user_mfa List of admin action requests
Paginated list of action requests with a pending count for badge display.
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/adminActions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"actionType": "settings_change",
"displayName": "<string>",
"category": "<string>",
"actionPayload": {},
"requiredApprovals": 123,
"currentApprovals": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"responses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"createdAt": "2023-11-07T05:31:56Z",
"reviewer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"note": "<string>"
}
],
"targetEntityType": "<string>",
"targetEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previousState": {},
"resolvedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"pendingCount": 123
}